Description

When creating Solaris Intel hosts the boot files don't seem to be copied correctly to the tftp-boot directory.

it creates:

boot/Solaris-5.10-hw0811-multiboot

boot/Solaris-5.10-hw0811-x86.miniroot

and

menu.lst.01005056B70038

I think menu.lst.01005056B70038 should be called Solaris-5.10-hw0811-pxegrub, as this file is requesting via tftp from a host:

root@puppet:/usr/share/foreman# tcpdump -i eth1 port 69

tcpdump: verbose output suppressed, use -v or -vv for full protocol decode

listening on eth1, link-type EN10MB (Ethernet), capture size 96 bytes

16:28:10.182428 IP solar10intel.a.space.corp.2070 > puppet.a.space.corp.tftp:  44 RRQ "Solaris-5.10-hw0811-pxegrub" octet tsize 0

16:28:10.184776 IP solar10intel.a.space.corp.2071 > puppet.a.space.corp.tftp:  49 RRQ "Solaris-5.10-hw0811-pxegrub" octet blksize

1456

History

#1 - 01/04/2012 10:47 AM - Oliver Weinmann

I just found out that the boot files are copied correctly. It is just missing the pxegrub loader from the install media.

e.g.

cp /Solaris/install/Solaris_5.10_i386_hw0811/boot/grub/pxegrub /var/lib/tftpboot/Solaris-5.10-hw0811-pxegrub

If possible change this ticket to a feature rather than a bug.

#2 - 01/05/2012 05:06 AM - David M.

Hi,

I just poked around in the solaris-os class and I'm not sure if the path used in the class is correct.

The solaris-os-class looks for e.g. /some/path/Solaris_10/Tools/Boot

As far as I can see the files (especially pxegrub) is a symlink:

pxegrub -> ../../../boot/grub/pxegrub

 Maybe it would be better to simply use /some/path/boot/ as source for the pxegrub-stuff?

#3 - 01/05/2012 09:22 AM - Oliver Weinmann

Sounds good. There is another problem I have when deploying solaris maybe you know. Puppet and Facter are not installed automatically. I'm not

sure but in the prov templdate there is a line:
/usr/bin/cp /var/pkg-get/admin-fullauto /var/pkg-get/admin > /dev/null

this should install pkg-get?

Regards,

Oliver

#4 - 01/05/2012 10:02 AM - David M.

Hi Oliver,

I just took a deeper look at the provisioning template of solaris.

# Now ensure that we have the newest puppet and facter installed

/usr/bin/cp /var/pkg-get/admin-fullauto /var/pkg-get/admin > /dev/null

/opt/csw/bin/pkg-get -U

/opt/csw/bin/pkg-get -u -f CSWfacter CSWpuppet

 For me facter and puppet are installed (or upgraded) in the 2 lines below the one you've posted.

I guess the problem is that pkgutil asks you to install dependencies. On my SPARC testmachine, the only one I have with pkgutil, this is happening

when I execute:

/opt/csw/bin/pkgutil -u -f CSWfacter CSWpuppet

root@sv2341:~# /opt/csw/bin/pkgutil -u -f CSWfacter CSWpuppet

Solving needed dependencies ...

Solving dependency order ...

Install 40 NEW packages:

        CSWalternatives-1.1.1,REV=2011.05.31 (opencsw/unstable)

        CSWaugeas-0.7.0,REV=2010.03.01 (opencsw/unstable)

        CSWbdb48-4.8.30,REV=2010.12.06_rev=p0 (opencsw/unstable)

        CSWcacertificates-20111106,REV=2011.11.06 (opencsw/unstable)

        CSWcas-initsmf-1.44,REV=2011.04.21 (opencsw/unstable)

        CSWcas-migrateconf-1.43,REV=2011.04.24 (opencsw/unstable)

        CSWcas-preserveconf-1.42,REV=2010.11.26 (opencsw/unstable)

        CSWcas-usergroup-1.44,REV=2011.05.02 (opencsw/unstable)

        CSWcommon-1.5,REV=2010.12.11 (opencsw/unstable)

        CSWfacter-1.6.4,REV=2011.12.14 (opencsw/unstable)

        CSWgcc4corert-4.6.2,REV=2011.12.28 (opencsw/unstable)

        CSWiconv-1.14,REV=2011.08.08 (opencsw/unstable)

        CSWlibcharset1-1.14,REV=2011.08.07 (opencsw/unstable)

        CSWlibgcc-s1-4.6.2,REV=2011.12.27 (opencsw/unstable)

        CSWlibgdbm3-1.8.3,REV=2011.02.01 (opencsw/unstable)

        CSWlibgnugetopt-1.3,REV=2011.07.06 (opencsw/unstable)

        CSWlibgnugetopt0-1.3,REV=2011.07.06 (opencsw/unstable)

        CSWlibgomp1-4.6.2,REV=2011.12.27 (opencsw/unstable)

        CSWlibhistory4-4.3,REV=2011.07.02 (opencsw/unstable)

        CSWlibhistory5-5.2,REV=2011.07.02 (opencsw/unstable)

        CSWlibhistory6-6.2,REV=2011.07.02 (opencsw/unstable)

        CSWlibiconv2-1.14,REV=2011.08.07 (opencsw/unstable)

        CSWlibncurses5-5.9,REV=2011.11.21 (opencsw/unstable)

        CSWlibncursesw5-5.9,REV=2011.11.21 (opencsw/unstable)

        CSWlibpanel5-5.9,REV=2011.11.21 (opencsw/unstable)

        CSWlibpanelw5-5.9,REV=2011.11.21 (opencsw/unstable)

        CSWlibreadline4-4.3,REV=2011.07.02 (opencsw/unstable)

        CSWlibreadline5-5.2,REV=2011.07.02 (opencsw/unstable)

        CSWlibreadline6-6.2,REV=2011.07.02 (opencsw/unstable)

        CSWlibruby18-1-1.8.7p334,REV=2011.03.24 (opencsw/unstable)

        CSWlibssp0-4.6.2,REV=2011.12.27 (opencsw/unstable)

        CSWlibz1-1.2.5,REV=2011.08.19 (opencsw/unstable)

        CSWncurses-5.9,REV=2011.11.21 (opencsw/unstable)

        CSWosslrt-0.9.8r,REV=2011.07.21 (opencsw/unstable)

        CSWpuppet-2.7.9,REV=2011.12.14 (opencsw/unstable)

        CSWreadline-6.2,REV=2011.07.02 (opencsw/unstable)

        CSWruby18-1.8.7p334,REV=2011.03.24 (opencsw/unstable)

        CSWrubyaugeas-0.4.1,REV=2011.07.21 (opencsw/unstable)

        CSWterminfo-5.9,REV=2011.11.21 (opencsw/unstable)

        CSWzlib-1.2.5,REV=2011.08.19 (opencsw/unstable)

Total size: 19.0 MB

40 packages to fetch. Do you want to continue? ([y],n,auto) ^C

pkgutil caught a SIGINT. Exiting.

 You can try to change these commands:
/opt/csw/bin/pkg-get -U

/opt/csw/bin/pkg-get -u -f CSWfacter CSWpuppet

to this:

/opt/csw/bin/pkg-get -U

/opt/csw/bin/pkg-get -u -y -f CSWfacter CSWpuppet

#5 - 01/15/2012 09:50 AM - Ohad Levy

- Difficulty set to medium

#6 - 10/26/2012 03:51 AM - Oliver Weinmann

Can be closed. The pxegrub has to be copied manually to the tftboot directory as pointed out in the wiki.

#7 - 10/30/2012 10:23 AM - Ohad Levy

- Status changed from New to Closed
